%define name	libopensi
%define version 1.0
%define release 6
%define firefox_version %(rpm -q --whatprovides mozilla-firefox --queryformat %{VERSION})
%define firefox_epoch %(rpm -q --whatprovides mozilla-firefox --queryformat %{EPOCH})
%define mozillalibdir %{_libdir}/firefox-%{firefox_version}

Summary:	Library for OpenSi
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://download.gna.org/opensi/%name/%name-%version.tgz
License:	MPL
Group:		System/Libraries
Url:		http://opensi.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mozilla-firefox
Requires(pre):	mozilla-firefox = %{firefox_epoch}:%{firefox_version}

%description
Library for OpenSi.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %{buildroot}%{mozillalibdir}/chrome/
cp -r `pwd`  %{buildroot}%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %{buildroot}%{mozillalibdir}/chrome/rc.d/
cat << EOF > %{buildroot}%{mozillalibdir}/chrome/rc.d/10_%{name}.txt
content,install,url,resource:/chrome/libopensi/content/libopensi/
EOF

%post
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%postun
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{mozillalibdir}/chrome/%{name}
%{mozillalibdir}/chrome/rc.d/10_%{name}.txt


%changelog
* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 1.0-6mdv2009.0
+ Revision: 289210
- rebuild for new FF

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 1.0-5mdv2009.0
+ Revision: 274170
- rebuild

* Wed Jul 16 2008 Funda Wang <fundawang@mandriva.org> 1.0-4mdv2009.0
+ Revision: 236516
- rebuild for new FF

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 1.0-3mdv2009.0
+ Revision: 234095
- fix firefox version detection

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Sep 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-3mdk
- move from club to contrib
- fix deprecated use of prereq
- work around weird problem with %%firefox_version macro by redefining it

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- do not require jdk
- macroize firefox_version to make package easily rebuild for different releases

* Mon Jul 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdk
- initial release (for corporate club)

